% DESCRIPTION osamples = alamoutis_recep(isamples, tb)
%   Alamouti's reception technique
% INPUT
%   isamples  the data bearing signal
%   tb        duration of a data bit (in samples)
%   h0        channel multiplicative coefficients for antenna 0
%   h1        channel multiplicative coefficients for antenna 1
% OUTPUT
%   osamples the processed signal
% 
% $Id: alamoutis_recep.m,v 1.3 2003-05-18 18:33:46 sharky Exp $

function osamples = alamoutis_recep(isamples,tb,h0,h1)

[even, odd] = alamoutis_select(isamples,tb);

osamples(:,even) = conj(h0(:,even)) .* isamples(:,even) + h1(:,odd) .* conj(isamples(:,odd));
osamples(:,odd)  = conj(h1(:,even)) .* isamples(:,even) - h0(:,odd) .* conj(isamples(:,odd));