% DESCRIPTION [ant0,ant1] = alamoutis_trans(isamples, tb)
%   Alamouti's transmission technique
% INPUT
%   samples  the data bearing signal
%   tb       duration of a data bit (in samples)
% OUTPUT
%   ant0     signal to transmit from antenna 0
%   ant1     signal to transmit from antenna 1
% 
% $Id: alamoutis_trans.m,v 1.2 2003-05-12 16:39:50 sharky Exp $

function [ant0,ant1] = alamoutis_trans(isamples,tb)
[even, odd] = alamoutis_select(isamples,tb);

ant0(:,even) = isamples(:,even);
ant0(:,odd) = -conj(isamples(:,odd));

ant1(:,even) = isamples(:,odd);
ant1(:,odd) = conj(isamples(:,even));