% DESCRIPTION data = bpsk_detect(samples, pulse)
%   BPSK detector
% INPUT
%   samples  the data bearing signal
%   pulse    pulse shape (row vector)
% OUTPUT
%   data     the decoded data in bipolar format  
% 
% $Id: bpsk_detect.m,v 1.2 2003-05-12 15:52:28 sharky Exp $

function data = bpsk_detect(samples, pulse)
tb = length(pulse);    % information bit duration
nbits = floor(length(samples) / tb);

data = [];
for i = 0:nbits-1
  data = [ data (2*(samples(1+i*tb:(i+1)*tb) * pulse' > 0)-1) ];
end
