% DESCRIPTION bts_alloc,pn_alloc] = cdma_alloc(xym, xyb, par)
%   Allocate users to base stations and PN codes to users.
% INPUT
%   xym        mobile coordinates
%   xyb        base station coordinates
%   par        simulation parameters
% 
% $Id: cdma_alloc.m,v 1.2 2003-05-13 19:12:46 sharky Exp $

function [bts_alloc,pn_alloc] = cdma_alloc(xym, xyb, par)
nbts = size(xyb,2);
lxym = xym * ones(1,nbts);
lxyb = ones(par.nusers,1) * xyb;
[ tmp, bts_alloc ] = min(lxym-lxyb,[],2);

for btsidx=1:nbts
  cell_pnalloc = randperm(par.ups);
  cell_users = find(bts_alloc == btsidx);
  if length(cell_users) > par.ups
      error(sprintf('Cell %i has %i users but only %i channels!',btsidx,length(cell_users),par.ups));
  end
  pn_alloc(cell_users) = cell_pnalloc(1:length(cell_users));
end