% DESCRIPTION cdma_batch_ber(cells,usermin,userstep,usermax,niter,sync)
%
% INPUT
%  cells        number of cells
%  usermin      minimum number of users
%  userstep     number of users increment
%  usermax      maximum number of users
%  niter        number of iterations
%  sync         non-zero for sync transmission
%
% $Id: cdma_batch_ber.m,v 1.1 2003-05-23 15:01:38 sharky Exp $

function cdma_batch_ber(cells,usermin,userstep,usermax,niter,sync)

% generate file name
matfile = sprintf('ber_%s',cdma_filesuffix(cells,sync));

% run the simulations
ber_noalamouti = nans(usermax,niter);
ber_alamouti = nans(usermax,niter);

for loop=1:niter
  for nusers=usermin:userstep:usermax
    disp(sprintf(' ** iteration %i/%i, %i users',loop,niter,nusers));
    ber_noalamouti(nusers,loop) = mean(cdma_test(nusers,cells,400,0,sync,0));    
    ber_alamouti(nusers,loop) = mean(cdma_test(nusers,cells,400,1,sync,0));
    disp(sprintf('no alamouti : %f, alamouti : %f',ber_noalamouti(nusers,loop),ber_alamouti(nusers,loop)));
  end
  disp(' ** saving BERs to file');
  save(matfile,'ber_noalamouti','ber_alamouti');
end

% make the BER plot
cdma_plot_ber(ber_noalamouti,ber_alamouti,cells);

