% DESCRIPTION cdma_batch_outage(cells,usermin,userstep,usermax,nber,sync)
%
% INPUT
%  cells        number of cells
%  usermin      minimum number of users
%  userstep     number of users increment
%  usermax      maximum number of users
%  nber         number of bit error rates we want for each values of nusers
%  sync         non-zero for sync transmission
%
% $Id: cdma_batch_outage.m,v 1.6 2003-05-23 14:59:57 sharky Exp $

function cdma_batch_outage(cells,usermin,userstep,usermax,nber,sync)

% generate file name
matfile = sprintf('allbers_%s',cdma_filesuffix(cells,sync));

% run the simulations
for nusers=usermin:userstep:usermax
  bers_noalamouti{nusers} = [];
  bers_alamouti{nusers} = [];
  niter = ceil(nber/nusers);
  for loop=1:niter
    disp(sprintf(' ** iteration %i/%i, %i users (sync : %i)',loop,niter,nusers,sync));
    bers_noalamouti{nusers} = [ bers_noalamouti{nusers} ; cdma_test(nusers,cells,1000,0,sync,0)];    
    bers_alamouti{nusers} = [ bers_alamouti{nusers} ; cdma_test(nusers,cells,1000,1,sync,0)];    
  end
   
  disp(' ** saving BERs to file');
  save(matfile,'bers_noalamouti','bers_alamouti');
end

