% DESCRIPTION cdma_plot_ber(ber_noalamouti,ber_alamouti,ncells)
% INPUT
%  ber_noalamouti       the BER w/o alamouti returned by cdma_batch
%  ber_alamouti         the BER with alamouti returned by cdma_batch
%  ncells               the number of cells used in the simulation
%
% $Id: cdma_plot_ber.m,v 1.1 2003-05-22 14:14:46 sharky Exp $

function cdma_plot_ber(ber_noalamouti,ber_alamouti,ncells)

y0 = mean(ber_noalamouti,2);
x0 = find(isfinite(y0));
y1 = mean(ber_alamouti,2);
x1 = find(isfinite(y1));

figure;
plot(x0/ncells,y0(x0),'color','b','linewidth',2);
hold on;
plot(x1/ncells,y1(x1),'color','r');
xlabel('number of users / cell');
ylabel('average bit error rate (%)');
legend('no alamouti','alamouti code');
