% DESCRIPTION cdma_plot_outage(bers_noalamouti,bers_alamouti,ncells)
% INPUT
%  ber_noalamouti       the BER w/o alamouti returned by cdma_batch
%  ber_alamouti         the BER with alamouti returned by cdma_batch
%  ncells               the number of cells used in the simulation
%
% $Id: cdma_plot_outage.m,v 1.3 2003-05-24 10:21:08 sharky Exp $

function cdma_plot_outage(bers_noalamouti,bers_alamouti,ncells)

for alamouti=0:1
  if (alamouti)
    res = bers_alamouti;
  else
    res = bers_noalamouti;
  end
  
  figure;
  hold on;
  crv = 1;
  lgd = [];
  for idx=1:length(res)
    if (size(res{idx},1) ~= 0)
      cdfplotmed(res{idx});
      if (alamouti)
        lgd{crv} = sprintf('%.1f users / cell (alamouti)',idx/ncells);
      else
        lgd{crv} = sprintf('%.1f users / cell (no alamouti)',idx/ncells);
      end
      crv = crv + 1;
    end
  end
  
  xlabel('bit error rate(%)');
  legend(lgd);
end
