% DESCRIPTION osamples = cdma_spread(isamples, pn, tc)
%   CDMA spreading function.
% INPUT
%   isamples the input samples
%   pn       pseudo random binary sequence
%            in bipolar format(row vector)
%   tc       chip duration (in samples)
% 
% $Id: cdma_spread.m,v 1.4 2003-05-12 15:54:40 sharky Exp $

function osamples = cdma_spread(isamples, pn, tc)
% number of times we need to repeat the PN sequence
npn = ceil(length(isamples) / tc / length(pn));

% creating a wrapped and expanded copy of the PN
% with [0,1] mapped to [-1,1]
pn = reshape(ones(tc,1) * pn,1,tc * length(pn));
pn_repeat = reshape(pn' * ones(1,npn),1,npn* length(pn));

osamples = pn_repeat(1:length(isamples)) .*  isamples;
