% DESCRIPTION [gm] = channel_model(xym,xyb,fib,rombvec,par)
%   Create a distribution of users within a cell
% INPUT
%   xym         mobile locations
%   xyb         base station locations
%   rombvec     ??
%   par         simulation parameters
% 
% $Id: channel_model.m,v 1.4 2003-05-24 11:52:02 sharky Exp $

function [gm]=channel_model(xym,xyb,fib,rombvec,par)

% Antenna gain for all directions, size == [360 1].
    if all(abs(fib)>0)
        lobevector = sinclobe;    
    else 
        lobevector = omnilobe;
    end

% Create a lognormal map. This is dependent on the seed
    oseed = setseed(par.seed);  % Set seed of pseudo random generator for the map
    [lognmap, lognmapvec] = crelognmap(xyb, rombvec, par.corrdist); 
    setseed(oseed);  % Restore seed to original value
    
% Calculate the gain matrix.
    gm = pathgain(xym, xyb, fib, rombvec, ...
    par.gainconst, par.alpha, par.sigma, par.raa, ...
    lobevector, lognmap, lognmapvec);
