% DESCRIPTION [ xym,xyb,fib,rombvec] = network_configuration(par,doplot)
%   Create a distribution of users within a cell
% INPUT
%   par         simulation parameters
%   doplot        if non-zero, plots users distribution
% 
% $Id: network_configuration.m,v 1.7 2003-05-19 22:22:24 dalai Exp $

function [xym,xyb,fib,rombvec] = network_configuration(par,doplot)

% Generate base station position and single hexagonal cell
[xyb, fib, rombvec] = crecells(par.cellradius,par.sps,par.km,par.lm);

% number of bts
nbts = size(xyb,2);

% frame of a single cell
[xybtemp, fibtemp, rombvectemp] = crecells(par.cellradius,1,0,1);

% distribution of users on a random cell.
xym=nans(par.nusers,1);
iusr = 1;
while (iusr < par.nusers + 1 )
   xym(iusr) = [randn-0.5 i*(randn-0.5)]*rombvectemp' ;
   xym(iusr) = wrapinto(xym(iusr),rombvectemp,'hex')+ xyb(ceil(rand*nbts));
   iusr = iusr+1;
end

% do plots if asked for
if doplot
  plothex(xyb,fib);
  hold on;
  plot(xym,'c.');
end
